### Method

# Ide Config set_run_opts

#### Declaration

    void
    ide_config_set_run_opts (
      IdeConfig* self,
      const gchar* run_opts
    )

#### Description

Sets the run options to use when running the target application. See `ide_config_get_run_opts()` for more information.

Available since: | 3.32

Sets property | `Ide.Config:run-opts`

#### Parameters

`run_opts` | `const gchar*`
| The run options for the target application.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.